summaryrefslogtreecommitdiffstats
path: root/test/iptest
diff options
context:
space:
mode:
Diffstat (limited to 'test/iptest')
-rw-r--r--test/iptest22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/iptest b/test/iptest
new file mode 100644
index 0000000..bb3ab5e
--- /dev/null
+++ b/test/iptest
@@ -0,0 +1,22 @@
+#!/bin/sh
+mkdir -p results
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+/bin/cp /dev/null results/$1
+../ippool -f regress/$1 -nRv 2>/dev/null > results/$1
+cmp expected/$1 results/$1
+status=$?
+if [ $status = 0 ] ; then
+ $TOUCH $1
+fi
+exit $status
OpenPOWER on IntegriCloud